/*	$Causality: options.h,v 1.2 1997/12/23 21:37:57 ebsa Exp $	*/

/*-
 * Copyright (c) 1997 Causality Limited.
 * All rights reserved.
 *
 * This code was written by Mark Brinicombe <mark@causality.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by Causality Limited.
 * 4. The name of Causality Limited may not be used to endorse or promote
 *    products derived from this software without specific prior written
 *    permission.
 *
 * THIS SOFTWARE IS PROVIDED BY CAUSALITY LIMITED ``AS IS'' AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL CAUSALITY LIMITED BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */


/*
 * Modified by Nitin kamble (nkamble@bigoot.com) 31/12/1999 2:30AM
 */

#define DEFAULT_SERIAL_OPTIONS	"9600 8N1"
#define DEFAULT_SERIAL_DEVICE	"/dev/ttyS1"
#define DEFAULT_BASE_ADDRESS	0x00000000
#define DEFAULT_ENTRY_ADDRESS	0x00000000
#define DEFAULT_BAUD_RATE	38400

struct bootoptions {
	char *serial_device;		/* serial device name */
	char *serial_options;		/* serial options */
	char *image_file;		/* image filename */ 
	unsigned int image_size;	/* image size to download */
	unsigned int image_offset;	/* offset into image to start download at */
	unsigned int base_address;	/* base address to load to */
	unsigned int entry_address;	/* entry address */
	unsigned int regs[16];		/* Processor registers */
	char *exec;			/* binary to exec */
	unsigned int baud_rate;		/* baud rate to download at */
	char *o_image_file;		/* other image filename */ 
	unsigned int o_image_size;      /* other image size to download */
	unsigned int o_base_address;	/* other base address to load to */
};

extern struct bootoptions boot_options;
